import request from '@/utils/request'

// 查询字典列表
export function findDictionaryByStructureId(id) {
  return request({
    url: '/dataSource/dict/findDictionaryByStructureId?id='+id,
    method: 'get',
    params:id
  })
}
export function addDictionaryType(data) {
  return request({
    url: '/dataSource/dict/addDictionaryType',
    method: 'post',
    data:data
  })
}
export function addDictionaryData(data) {
  return request({
    url: '/dataSource/dict/addDictionaryData',
    method: 'post',
    data:data
  })
}

export function deleteDictionaryData(id) {
  return request({
    url: '/dataSource/dict/deleteDictionaryData?id='+id,
    method: 'post',
    params:id,
  })
}
export function updateDictionaryData(data) {
  return request({
    url: '/dataSource/dict/updateDictionaryData',
    method: 'post',
    data:data
  })
}
